/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.workflow.action;

// Java classes

//Framework classes
import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import gov.va.med.fw.ui.struts.AbstractForm;
/**
 * @author DNS   RAMACP
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class WorkItemForm extends AbstractForm {
    
    private static final long serialVersionUID = -8303984650114721477L;
    //case details
    private String workflowCaseId = null;
    private String personId = null;
        
    //current assignment
    private String assignedTo = null;
    
    //current status
    private String  statusValue = null;

    //comment
    private String comment = null;
    private String commentId = null;
    
    private String caseGroup = null;
    private String loggedInUserGroup = null;
    private String loggedInUserName = null;
    
    public WorkItemForm() {
        super();
        clear();
    }
    public String getAssignedTo() {
        return assignedTo;
    }
    public String getComment() {
        return comment;
    }
    public String getCommentId() {
        return commentId;
    }
    public String getPersonId() {
        return personId;
    }
    public String getStatusValue() {
        return statusValue;
    }
    public String getWorkflowCaseId() {
        return workflowCaseId;
    }
    public void setAssignedTo(String assignedTo) {
        this.assignedTo = assignedTo;
    }
    public void setComment(String comment) {
        this.comment = comment;
    }
    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }
    public void setPersonId(String personId) {
        this.personId = personId;
    }
    public void setStatusValue(String statusValue) {
        this.statusValue = statusValue;
    }
    public void setWorkflowCaseId(String workflowCaseId) {
        this.workflowCaseId = workflowCaseId;
    }
    
    public String getCaseGroup() {
        return this.caseGroup;
    }
    public String getLoggedInUserGroup() {
        return this.loggedInUserGroup;
    }
    public String getLoggedInUserName() {
        return this.loggedInUserName;
    }
    public void setCaseGroup(String caseGroup) {
        this.caseGroup = caseGroup;
    }
    public void setLoggedInUserGroup(String loggedInUserGroup) {
        this.loggedInUserGroup = loggedInUserGroup;
    }
    public void setLoggedInUserName(String loggedInUserName) {
        this.loggedInUserName = loggedInUserName;
    }
    public void reset(ActionMapping arg0, HttpServletRequest arg1) {
        super.reset(arg0, arg1);
        clear();
    }
    
    private void clear() {
        workflowCaseId = null;
        personId = null;
        assignedTo = null;
        statusValue = null;
        comment = null;
        commentId = null; 
        caseGroup = null;
        loggedInUserGroup = null;
        loggedInUserName = null;        
    }
}
